org.apache.tomcat.dbcp.dbcp

## Class SQLNestedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.apache.tomcat.dbcp.dbcp.SQLNestedException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

  Deprecated.
  Use '(SQLException) new SQLException(msg).initCause(e)' instead; this class will be removed in DBCP 2.0

      @Deprecated
      public class SQLNestedException
      extends java.sql.SQLException

  A SQLException subclass containing another Throwable
  Author:
    Dirk Verbeeck
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLNestedException(java.lang.String msg, java.lang.Throwable cause)` Deprecated. Constructs a new `SQLNestedException` with specified detail message and nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLNestedException

          public SQLNestedException(java.lang.String msg,
                            java.lang.Throwable cause)

      Deprecated.
      Constructs a new `SQLNestedException` with specified detail message and nested `Throwable`.
      Parameters:
        `msg` - the error message
        `cause` - the exception or error that caused this exception to be thrown

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.